html {
    scroll-behavior: smooth;
    -ms-overflow-style: none;
    scrollbar-width: none;
    overflow-x: hidden;
    position: absolute;
    left: 0;
    cursor: var(--cursor);
}

html::-webkit-scrollbar {
    display: none;
}

:root {
    --bg: rgb(19, 31, 53);
    --cursor: url("cursor.png"), auto;
    --text: url("text.png"), auto;
}

* {
    background-color: var(--bg);
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

#loader {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    min-height: 100vh;
}

#loader > img {
    width: 150px;
    animation: rotation 5s linear infinite;
}

#loader > p {
    color: white;
    font-size: 24px;
    text-align: center;
}

#loader > h1 {
    background: linear-gradient(to right, #f32170, #ff6b08, #cf23cf, #eedd44) !important;
    -webkit-text-fill-color: transparent !important;
    -webkit-background-clip: text !important;
    background-clip: text !important;
    text-align: center;
}

#options {
    position: absolute;
    top: 0;
    width: 100vw;
    height: 100vh;
    left: 120vw;
    transition: 1s;
    font-size: 28px;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1;
    display: none;
}

#options > ul{
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 38px;
    flex-direction: column;
}

header {
    background: transparent !important;
    width: 100vw;
    height: 80px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 1000;
    top: 0;
}

header>img {
    height: 80px;
    position: relative;
    left: 120px;
    z-index: 1000;
    cursor: pointer;
}



header > a {
    color: rgb(153, 157, 160) !important;
    text-decoration: none;
}

ul {
    position: relative;
    right: 40px;
    list-style: none;
    display: flex;
    align-items: center;
    gap: 50px;
    cursor: pointer;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    font-size: 17px;
    z-index: 1000;
}


li:hover {
    text-decoration: underline;
    color: rgb(153, 157, 160);
    text-decoration-color: rgb(153, 157, 160);
}

.home {
    position: relative;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    overflow: hidden;
    filter: fill;
    background: linear-gradient(rgba(210, 218, 228, 0.8), rgba(32, 77, 119, 0.8)), url("bg.jpeg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: larger;
    animation-name: loading;
    animation-duration: 1s;
    animation-timing-function: ease-in;
}

.home>img {
    width: 100%;
    filter: fill;
}

.topLeft {
    animation-name: loadingLeft;
    animation-duration: 1s;
    animation-timing-function: ease-in;
    background: transparent;
}

.topRight {
    animation-name: loadingRight;
    animation-duration: 1s;
    animation-timing-function: ease-in;
    background: transparent;
    border-radius: 50px;
    width: 260px;
    height: 260px;
}

.topRight>img {
    width: 260px;
    height: 260px;
    pointer-events: none;
    background: transparent;
    border-radius: 50%;
    object-fit: cover;
}

.topLeft>h2 {
    font-family: Arial, Helvetica, sans-serif;
    color: rgb(236, 221, 10);
    background: transparent;
}

.topLeft>h1 {
    color: rgb(199, 41, 30);
    font-size: 40px;
    font-weight: bold;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    animation-name: loading;
    animation-duration: 1s;
    animation-timing-function: ease-in;
    animation-delay: 0.5s;
    background: transparent;
    background: linear-gradient(to right, #f32170, #ff6b08, #cf23cf, #eedd44) !important;
    -webkit-text-fill-color: transparent !important;
    -webkit-background-clip: text !important;
    background-clip: text !important;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
}

.topLeft>p {
    font-size: 24px;
    color: rgb(107, 250, 11);
    width: 350px;
    background: transparent;
}

.topLeft>p>b {
    z-index: 1000;
    font-size: 28px;
    background: transparent;
    background: linear-gradient(to right, #f32170, #ff6b08, #cf23cf, #eedd44) !important;
    -webkit-text-fill-color: transparent !important;
    -webkit-background-clip: text !important;
    background-clip: text !important;
}

@keyframes loading {
    0% {
        transform: translateY(-40px);
        opacity: 0;
    }

    100% {
        transform: translateY(0px);
        opacity: 1;
    }
}

@keyframes loadingLeft {
    0% {
        transform: translateX(-40px);
        opacity: 0;
    }

    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}

@keyframes loadingRight {
    0% {
        transform: translateX(40px);
        opacity: 0;
    }

    100% {
        transform: translateX(0px);
        opacity: 1;
    }
}

@keyframes rotation {
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

main {
    background-color: var(--bg);
}

.about {
    position: relative;
    display: flex;
    align-items: center;
    min-height: 100vh;
    overflow-y: hidden;
}

.right>h1, .projects > h1 {
    font-size: 70px;
    background: linear-gradient(to right, #f32170, #ff6b08, #cf23cf, #eedd44) !important;
    -webkit-text-fill-color: transparent !important;
    -webkit-background-clip: text !important;
    background-clip: text !important;
}

.right {
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background: transparent;
}

.right>p {
    color: azure;
    background: transparent;
}

.right>ol {
    color: white;
    line-height: 40px;
    font-size: 22px;
    background: transparent !important;
}

.right > ol > li {
    background: transparent !important;
}

.right>ol>li>b {
    background: linear-gradient(to right, #f32170, #ff6b08, #cf23cf, #eedd44) !important;
    -webkit-text-fill-color: transparent !important;
    -webkit-background-clip: text !important;
    background-clip: text !important;

}

.right>ol>li:hover {
    text-decoration: none;
    cursor: var(--cursor);
    color: white;
}

.left {
    width: 50%;
    display: flex;
    justify-content: center;
    animation: loadingLeft 1s ease-in;
    background: transparent !important;
}

.left>img {
    width: 500px;
    border-radius: 28px;
    pointer-events: none;
}

.projects {
    min-height: 100vh;
    width: 100vw;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.projects > p {
    font-size: 30px;
    color: white;
}

.projectDisplay {
    display: flex;
    align-items: center;
    margin-top: 20px;
    justify-content: space-evenly;
}

.projectCard {
    padding: 10px;
    border-radius: 20px;
    -webkit-box-shadow: -3px 1px 5px 9px rgba(0,0,0,0.98);
    -moz-box-shadow: -3px 1px 5px 9px rgba(0,0,0,0.98);
    box-shadow: -3px 1px 5px 9px rgba(0,0,0,0.98);
    width: 20% !important;
    color: white;
}

.img > img {
    width: 100%;
    border-radius: 20px;
    pointer-events: none;
}

.bottom > a > button{
    width: 100%;
    padding: 12px;
    border-radius: 10px;
    border: 1px solid white;
    font-size: 16px;
    cursor: pointer;
    color: white;
}

.gallery {
    width: 100vw;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 60px;
    padding-bottom: 60px;
}

.gallery > h1 {
    font-size: 70px;
    background: linear-gradient(to right, #f32170, #ff6b08, #cf23cf, #eedd44) !important;
    -webkit-text-fill-color: transparent !important;
    -webkit-background-clip: text !important;
    background-clip: text !important;
}

.displays {
    display: flex;
    justify-content: center;
    gap: 120px;
    flex-wrap: wrap;
}

.display__card {
    display: flex;
    flex-direction: column;
    width: 300px;
    border-radius: 20px;
    -webkit-box-shadow: -3px 1px 5px 9px rgba(0,0,0,0.98);
    -moz-box-shadow: -3px 1px 5px 9px rgba(0,0,0,0.98);
    box-shadow: -3px 1px 5px 9px rgba(0,0,0,0.98);
    color: white;
}

figure {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#postImg {
    width: 90%;
    border-radius: 20px;
}

.display__card > span {
    padding: 10px;
}

.contact {
    min-height: 100vh;
    min-width: 100vw;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.contact > h1 {
    background: linear-gradient(to right, #f32170, #ff6b08, #cf23cf, #eedd44) !important;
    -webkit-text-fill-color: transparent !important;
    -webkit-background-clip: text !important;
    background-clip: text !important;
    font-size: 70px;
    top: 10px;
    margin-bottom: 55px;
    text-align: center;
}

.contactBox {
    display: flex;
    flex-direction: column;
    align-self: center !important;
    width: 500px;
    padding: 20px;
    background-color: white;
    border-radius: 20px;
}

.contactBox > span {
    padding: 10px;
    border-bottom: 1px solid black !important;
    background: transparent !important;
    font-size: 20px;
}

.contactBox > input {
    padding: 10px;
    border: none !important;
    border-bottom: 1px solid black !important;
    border-radius: 10px;
    margin-top: 15px;
    color: black !important;
    background: transparent !important;
    outline: 0;
    cursor: var(--text);
}

.contactBox > textarea {
    padding: 10px;
    border-radius: 10px;
    margin-top: 15px;
    color: black !important;
    background: transparent !important;
    outline: 0;
    resize: none !important;
    cursor: var(--text);
}

footer {
    background-color: rgb(27, 35, 49);
    min-width: 100vw !important;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    color: #ffffff !important;
}

.info, .info > i, a {
    background: transparent !important;
    gap :20px;
}

.info {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
    padding: 10px;
}

.info > a {
    color: white !important;
    font-weight: bold;
}

nav > i {
    opacity: 0;
}

@media (max-width: 1100px) {
    .left > img {
        width: 70% !important;
    }
}

@media (max-width: 980px) {
    header > img {
        left: 0px;
    }

    .left {
        display: none;
    }

    .about {
        background: linear-gradient(to top, rgba(0, 255, 255, 0.507), rgba(9, 111, 243, 0.37)), url("laptop-AI-coding.jpg") no-repeat;
        background-image: cross-fade(100);
        overflow-x: scroll !important;
    }

    .right>h1 {
        font-size: 50px;
        margin-top: 120px !important;
    }

    .right {
        width: 100vw !important;
        position: absolute;
        z-index: 1000;
        overflow-y: scroll;
    }

    .projects > p {
        text-align: center;
    }

    .projectDisplay {
        flex-direction: column;
    }

    .projectCard {
        width: 90% !important;
        margin-bottom: 50px;
    }

    .contactBox {
        width: 80%;
    }

    .contactBox > textarea {
        height: 80px;
    }

    .display__card {
        width: 98vw;
    }

    #PostImg {
        width: 100%;
    }
}

@media (max-width: 547px) {
    ul {
        display: none;
    }

    nav > i {
        opacity: 1;
    }
    
}

@media (max-width: 610px) {
    .home {
        flex-direction: column-reverse;
    }

    .topRight > img {
        width: 200px;
    }

    .topRight {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .topLeft {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: -15px;
    }

    .topLeft > p {
        text-align: center;
    }
}
